# TPK4186 - Advanced Tools for Performance Engineering
# Palindrome.py
# by Antoine Rauzy
# Copyrights (c) 2019-2020 NTNU
#
# This file is part of the educational material provided to NTNU students registered to the course TPK4186.
# It is licensed under a Creative Commons Attribution-NonCommercial 4.0 International License.
# For details about this license, see https://creativecommons.org/licenses/by-nc/4.0/. 

# Required modules
import sys
import string

# The function
def IsPalindrome(text):
  i = 0
  j = len(text)-1
  while i<j:
    if not text[i].isalpha():
      i = i+1
    elif not text[j].isalpha():
      j = j-1
    else:
      a = text[i].lower()
      b = text[j].lower()
      if a==b:
        i = i+1
        j = j-1
      else:
        return False
  return True

text = "A man, a plan, a canal, Panama!"
if IsPalindrome(text):
  print("'" + text + "' is a palindrome")
else:
  print("'" + text + "' is not a palindrome")
