# TPK4186 - Advanced Tools for Performance Engineering
# CharacterFrequencies.py
# by Antoine Rauzy
# Copyrights (c) 2019-2020 NTNU
#
# This file is part of the educational material provided to NTNU students registered to the course TPK4186.
# It is licensed under a Creative Commons Attribution-NonCommercial 4.0 International License.
# For details about this license, see https://creativecommons.org/licenses/by-nc/4.0/.

import random

def Experiment(n, frequencies):
  for i in range(0, n):
    face = random.randrange(1, 7)
    count = frequencies.get(face, 0)
    count += 1
    frequencies[face] = count

def PrintFrequencies(n, frequencies):
  for face in sorted(frequencies.keys()):
    print(str(face) + "\t" + str(frequencies[face]/n))

n = 100000
frequencies = dict()
Experiment(n, frequencies)
PrintFrequencies(n, frequencies)