# TPK4186 - Advanced Tools for Performance Engineering
# SieveOfEratosthenes.py
# by Antoine Rauzy
# Copyrights (c) 2019-2020 NTNU
#
# This file is part of the educational material provided to NTNU students registered to the course TPK4186.
# It is licensed under a Creative Commons Attribution-NonCommercial 4.0 International License.
# For details about this license, see https://creativecommons.org/licenses/by-nc/4.0/.


# Required modules
import sys

# Algorithm
n = 100
primes = [i for i in range(2, n+1)]
for i in range(2, n+1):
  if i in primes:
    j = 2*i
    while j<=n:
      if j in primes:
        primes.remove(j)
      j += i
print(primes)
